# Class UnsortedFileException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
htsjdk.tribble.exception.UnsortedFileException

All Implemented Interfaces:
  `Serializable`

public class UnsortedFileException extends RuntimeException
an exception for when we've discovered that an input file is unsorted; sorted files are required by Tribble

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnsortedFileException()`
`UnsortedFileException(String message)`
`UnsortedFileException(String message, Throwable cause)`
`UnsortedFileException(Throwable cause)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnsortedFileException

public UnsortedFileException(Throwable cause)

### UnsortedFileException

public UnsortedFileException(String message, Throwable cause)

### UnsortedFileException

public UnsortedFileException(String message)

### UnsortedFileException

public UnsortedFileException()